## kaffeine-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kaffeine )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS      "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY   "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

option( WITH_DPMS             "Enable support for dpms"                          ${WITH_ALL_OPTIONS} )
option( WITH_XTEST            "Enable support for XTest"                         ${WITH_ALL_OPTIONS} )
option( WITH_XINERAMA         "Enable support for xinerama"                      ${WITH_ALL_OPTIONS} )
option( WITH_XCB              "Enable support for xcb"                           ${WITH_ALL_OPTIONS} )
option( WITH_GSTREAMER        "Enable support for gstreamer backend"             ${WITH_ALL_OPTIONS} )
option( WITH_OGGVORBIS        "Enable support for oggvorbis"                     ${WITH_ALL_OPTIONS} )
option( WITH_LAME             "Enable support for lame"                          ${WITH_ALL_OPTIONS} )
option( WITH_DVB              "Enable support for dvb"                           ${WITH_ALL_OPTIONS} )
option( USE_TQT_ONLY          "Build with tqt support only"                      OFF )
option( WITH_XINIT_WORKAROUND "Enable support for xinit workaround"              OFF )

##### user requested modules

option( BUILD_ALL          "Build all" OFF  )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kaffeine-trinity 3.5.13.2

=== debian/changelog ===
kaffeine-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:06:02 +0200

kaffeine-trinity (0.8.6-0ubuntu6) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kaffeine-trinity (0.8.6-0ubuntu5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 04 March 2009 01:11:00 -0600

kaffeine-trinity (0.8.6-0ubuntu3) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 04 Dec 2008 22:52:00 -0600

kaffeine (0.8.6-0ubuntu8.3) hardy-proposed; urgency=low

  * install-codecs: don't loop on unsupported media (LP: #210303)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 22 Sep 2008 13:38:25 +0200

kaffeine (0.8.6-0ubuntu8.1) hardy-proposed; urgency=low

  * Change kaffeine_xine-install-dvdcss.desktop
   - Revert the dvd codec autoinstalling (LP: #226475)
  * In debian/rules install script install-css.sh
  * Alter debian/install-codecs
   - handle possible loop by ffmpeg autoinstallation (http://bugs.kde.org/show_bug.cgi?id=161592)
  * Alter kxinewidget.cpp in kubuntu_07_codecs_installation.diff
   - Hide extra error messagebox
   - Handling of additional situations of the codecs absense

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Wed, 30 Apr 2008 22:32:41 +0300

kaffeine (0.8.6-0ubuntu8) hardy; urgency=low

  * rewrite install-codecs script in python
  * add i18n to codec installation procedure

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Sun, 09 Mar 2008 12:02:46 +0200

kaffeine (0.8.6-0ubuntu7) hardy; urgency=low

  * fix 'dash' quoting issues
  * handle XINE_MSG_ENCRYPTED SOURCE for dvdcss installation
  * rebuild patches

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Mon, 03 Mar 2008 14:24:45 +0200

kaffeine (0.8.6-0ubuntu6) hardy; urgency=low

  * Fix Recommends, add missing commas

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Feb 2008 16:50:26 +0000

kaffeine (0.8.6-0ubuntu5) hardy; urgency=low

  * Refactor install-codecs script
  * Implement libdvdcss installing

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Tue, 26 Feb 2008 19:03:36 +0200

kaffeine (0.8.6-0ubuntu4) hardy; urgency=low

  * Adapt install-codecs script to dash shell syntax

 -- Sergey Rudchenko <sergey.rudchenko@gmail.com>  Tue, 26 Feb 2008 12:58:33 +0200

kaffeine (0.8.6-0ubuntu3) hardy; urgency=low

  * Set fixperms exclude for install-codecs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Feb 2008 14:29:51 +0000

kaffeine (0.8.6-0ubuntu2) hardy; urgency=low

  * Make install-codecs executable in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Feb 2008 14:39:57 +0000

kaffeine (0.8.6-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Anthony Mercatante <tonio@kubuntu>  Tue, 22 Jan 2008 13:50:29 +0100

kaffeine (0.8.5-1ubuntu2) hardy; urgency=low

  * Remove depends on kaffeine-xine

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2007 20:37:29 +0000

kaffeine (0.8.5-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
    - kaffeine can't depend on libxine1-ffmpeg
    - kaffeine does depend on kaffeine-xine, remove conflicts/replaces
    - add kaffeine-gstreamer.install and description
    - build-dep on libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev
    - Debian patches in debian/patches/
    - Remove --without-gstreamer
    - Remove DEB_DESTDIR line in debian/rules
  * Update kubuntu_07_codecs_installation.diff and add autocodec files to install/kaffeine::

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Nov 2007 19:01:00 +0000

kaffeine (0.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Sat, 28 Jul 2007 19:59:41 +0200

kaffeine (0.8.4-6) unstable; urgency=low

  * Add patch to add AM_INIT_AUTOMAKE to configure.in.in. It fixes broken
    modulename after relibtoolization. (Closes: #432112)

 -- Fathi Boudra <fboudra@free.fr>  Wed, 18 Jul 2007 18:01:13 +0200

kaffeine (0.8.4-5) unstable; urgency=low

  [ Fathi Boudra ]
  * Update desktop file for iso. It should be hidden. (Closes: #420127)
    Thanks to Michael Biebl.
  * Add version to xine build dependency.

  [ Mark Purcell ]
  * Update kaffeine-dbg Depends: kaffeine (= ${binary:Version}),
    kdelibs-dbg

 -- Mark Purcell <msp@debian.org>  Fri, 06 Jul 2007 10:22:19 +0100

kaffeine (0.8.4-4) unstable; urgency=low

  * Remove libxine1-kde recommends.
  * Raise libxine1-ffmpeg relationship. (Closes: #426247)

 -- Fathi Boudra <fboudra@free.fr>  Mon, 04 Jun 2007 22:17:33 +0200

kaffeine (0.8.4-3) unstable; urgency=low

  * Add libxcb1-dev and chrpath build-dependency.
  * Add libxine1-ffmpeg and libxine1-kde recommends. (Closes: #427085)

 -- Fathi Boudra <fboudra@free.fr>  Sun, 03 Jun 2007 22:10:26 +0200

kaffeine (0.8.4-2) unstable; urgency=low

  * Remove CMakeLists.txt
    - Problem during upgrade: trying to overwrite
    `/usr/share/doc/tde/HTML/en/doc/CMakeLists.txt' (Closes: #419477)

 -- Mark Purcell <msp@debian.org>  Thu, 19 Apr 2007 05:50:00 +1000

kaffeine (0.8.4-1) unstable; urgency=low

  * New upstream release
    - Ripping CD to OGG produces white noise on powerpc (probably
    endianness issue) (Closes: #376025)
    - debian/patches/Bug403749.diff removed - encorporated upstream
    (Closes: #403749)
    - fails to properly play files with names containing '#' character
    (Closes: #362807)
  * Build-Depends: libogg-dev
  * Add /usr/share/applications/kde/kaffeine-iso.desktop
    - play DVD ISO files on filesystem (rather than in DVD drive)
    automatically (Closes: #402382)

 -- Mark Purcell <msp@debian.org>  Sat, 14 Apr 2007 10:03:23 +0100

kaffeine (0.8.3-1) unstable; urgency=low

  * New upstream release
  * Remove patch for bug 390829, merged upstream
  * Update copyright file


=== debian/control ===
Source: kaffeine-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
 Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev,
 libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
 libxtst-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
 libcdio-cdda-dev, libcdio-paranoia-dev,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kaffeine-trinity
Architecture: any
Depends: ${shlibs:Depends}, hdparm, libxine2-x | libxine1-x (<< 1.1.20) | libxine1 (<< 1.1.8-2)
Description: versatile media player for TDE
 Kaffeine is a media player for KDE. While it supports multiple player
 engines, its default engine is Xine, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitles files for use while playing video.
 .
  Homepage: http://kaffeine.sourceforge.net

Package: kaffeine-trinity-dbg
Section: devel
Architecture: any
Priority: extra
Depends: kaffeine-trinity (= ${binary:Version}), kdelibs-trinity-dbg
Description: debugging symbols for kaffeine [Trinity]
 This package contains the debugging symbols associated with kaffeine.
 They will automatically be used by gdb for debugging kaffeine-related
 issues.

Package: kaffeine-gstreamer-trinity
Architecture: any
Depends: ${shlibs:Depends}, kaffeine-trinity
Description: Gstreamer engine for kaffeine media player [Trinity]
 Kaffeine is a media player for KDE. While it supports multiple player
 engines, its default engine is Gstreamer, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 This package provides the Gstreamer playing engine for Kaffeine.
 .
 Homepage: http://kaffeine.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --without-lame --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib
DEB_INSTALL_MANPAGES_kaffeine-trinity := debian/kaffeine.1

DEB_FIXPERMS_EXCLUDE := install-css.sh install-codecs

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/kaffeine-trinity::
	install -D -p -m0644 debian/kaffeine.xpm debian/kaffeine/opt/trinity/share/pixmaps/kaffeine.xpm
	install -D -p -m0644 debian/kaffeine-trinity.lintian-overrides debian/kaffeine/opt/trinity/share/lintian/overrides/kaffeine
	install -D -p -m0755 debian/install-css.sh debian/kaffeine/opt/trinity/share/doc/kaffeine/install-css.sh
	install -D -p -m0644 debian/kaffeine-iso.desktop debian/kaffeine/opt/trinity/share/applications/kde/kaffeine-iso.desktop

	#Debian additions
	install -D -p -m0755 debian/install-codecs debian/kaffeine/opt/trinity/lib/kaffeine/install-codecs
	install -D -p -m0644 debian/kaffeine_xine-install-dvdcss.desktop debian/kaffeine/opt/trinity/share/services/kaffeine_xine-install-dvdcss.desktop
	install -D -p -m0644 debian/kaffeine_xine-install-ffmpeg.desktop debian/kaffeine/opt/trinity/share/services/kaffeine_xine-install-ffmpeg.desktop
	install -D -p -m0644 debian/kaffeine_codecinstall.desktop debian/kaffeine/opt/trinity/share/servicetypes/kaffeine_codecinstall.desktop

	# file shipped by kdelibs
	rm -f debian/kaffeine/opt/trinity/share/mimelnk/application/x-mplayer2.desktop
	# Bogus, shouldn't be shipped..
	rm -f debian/kaffeine/opt/trinity/share/doc/tde/HTML/en/doc/CMakeLists.txt

binary-install/kaffeine-trinity::
	mv debian/kaffeine-trinity/usr/share/man debian/kaffeine-trinity/opt/trinity/share/

get-orig-source:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs

## kaffeine-trinity 14.0.4

=== debian/changelog ===
kaffeine-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:08:49 +0200

## kaffeine-trinity 14.0.5

=== debian/changelog ===
kaffeine-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:10:12 +0200

=== debian/control ===
Source: kaffeine-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
 Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev,
 libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
 libxtst-dev, libgstreamer1.0-dev | libgstreamer0.10-dev,
 libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
 libcdio-cdda-dev, libcdio-paranoia-dev,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kaffeine-trinity
Architecture: any
Depends: ${shlibs:Depends}, hdparm, libxine2-x | libxine1-x (<< 1.1.20) | libxine1 (<< 1.1.8-2)
Replaces: kaffeine-kde3 (<< 4:14.0.0~), kaffeine-trinity (<< 4:14.0.0~)
Breaks: kaffeine-kde3 (<< 4:14.0.0~), kaffeine-trinity (<< 4:14.0.0~)
Description: versatile media player for TDE
 Kaffeine is a media player for TDE. While it supports multiple player
 engines, its default engine is Xine, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitles files for use while playing video.
 .
  Homepage: http://kaffeine.sourceforge.net

Package: kaffeine-trinity-dbg
Section: devel
Architecture: any
Replaces: kaffeine-kde3-dbg (<< 4:14.0.0~), kaffeine-trinity-dbg (<< 4:14.0.0~)
Breaks: kaffeine-kde3-dbg (<< 4:14.0.0~), kaffeine-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Depends: kaffeine-trinity (= ${binary:Version}), tdelibs-trinity-dbg
Description: debugging symbols for kaffeine [Trinity]
 This package contains the debugging symbols associated with kaffeine.
 They will automatically be used by gdb for debugging kaffeine-related
 issues.

Package: kaffeine-gstreamer-trinity
Architecture: any
Depends: ${shlibs:Depends}, kaffeine-trinity
Replaces: kaffeine-gstreamer-kde3 (<< 4:14.0.0~), kaffeine-gstreamer-trinity (<< 4:14.0.0~)
Breaks: kaffeine-gstreamer-kde3 (<< 4:14.0.0~), kaffeine-gstreamer-trinity (<< 4:14.0.0~)
Description: Gstreamer engine for kaffeine media player [Trinity]
 Kaffeine is a media player for TDE. While it supports multiple player
 engines, its default engine is Gstreamer, giving Kaffeine a wide variety of
 supported media types and letting Kaffeine access CDs, DVDs, and
 network streams easily.
 .
 This package provides the Gstreamer playing engine for Kaffeine.
 .
 Homepage: http://kaffeine.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --without-lame --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib
DEB_INSTALL_MANPAGES_kaffeine-trinity := debian/kaffeine.1

DEB_FIXPERMS_EXCLUDE := install-css.sh install-codecs

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/kaffeine-trinity::
	install -D -p -m0644 debian/kaffeine.xpm debian/$(cdbs_curpkg)/opt/trinity/share/pixmaps/kaffeine.xpm
	install -D -p -m0644 debian/kaffeine-trinity.lintian-overrides debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg)
	install -D -p -m0755 debian/install-css.sh debian/$(cdbs_curpkg)/opt/trinity/share/doc/kaffeine/install-css.sh
	install -D -p -m0644 debian/kaffeine-iso.desktop debian/$(cdbs_curpkg)/opt/trinity/share/applications/tde/kaffeine-iso.desktop

	#Debian additions
	install -D -p -m0755 debian/install-codecs debian/$(cdbs_curpkg)/opt/trinity/lib/kaffeine/install-codecs
	install -D -p -m0644 debian/kaffeine_xine-install-dvdcss.desktop debian/$(cdbs_curpkg)/opt/trinity/share/services/kaffeine_xine-install-dvdcss.desktop
	install -D -p -m0644 debian/kaffeine_xine-install-ffmpeg.desktop debian/$(cdbs_curpkg)/opt/trinity/share/services/kaffeine_xine-install-ffmpeg.desktop
	install -D -p -m0644 debian/kaffeine_codecinstall.desktop debian/$(cdbs_curpkg)/opt/trinity/share/servicetypes/kaffeine_codecinstall.desktop

	# file shipped by tdelibs
	rm -f debian/$(cdbs_curpkg)/opt/trinity/share/mimelnk/application/x-mplayer2.desktop
	# Bogus, shouldn't be shipped..
	rm -f debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/doc/CMakeLists.txt

binary-install/kaffeine-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

## kaffeine-trinity 14.0.6

=== debian/changelog ===
kaffeine-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
 Package: kaffeine-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, hdparm, libxine2-x | libxine1-x (<< 1.1.20) | libxine1 (<< 1.1.8-2)
-Replaces: kaffeine-kde3 (<< 4:14.0.0~), kaffeine-trinity (<< 4:14.0.0~)
-Breaks: kaffeine-kde3 (<< 4:14.0.0~), kaffeine-trinity (<< 4:14.0.0~)
+Replaces: kaffeine-trinity (<< 4:14.0.0~)
+Breaks: kaffeine-trinity (<< 4:14.0.0~)
 Description: versatile media player for TDE
  Kaffeine is a media player for TDE. While it supports multiple player
  engines, its default engine is Xine, giving Kaffeine a wide variety of
@@ -32,8 +32,8 @@
 Package: kaffeine-trinity-dbg
 Section: devel
 Architecture: any
-Replaces: kaffeine-kde3-dbg (<< 4:14.0.0~), kaffeine-trinity-dbg (<< 4:14.0.0~)
-Breaks: kaffeine-kde3-dbg (<< 4:14.0.0~), kaffeine-trinity-dbg (<< 4:14.0.0~)
+Replaces: kaffeine-trinity-dbg (<< 4:14.0.0~)
+Breaks: kaffeine-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: kaffeine-trinity (= ${binary:Version}), tdelibs-trinity-dbg
 Description: debugging symbols for kaffeine [Trinity]
@@ -44,8 +44,8 @@
 Package: kaffeine-gstreamer-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, kaffeine-trinity
-Replaces: kaffeine-gstreamer-kde3 (<< 4:14.0.0~), kaffeine-gstreamer-trinity (<< 4:14.0.0~)
-Breaks: kaffeine-gstreamer-kde3 (<< 4:14.0.0~), kaffeine-gstreamer-trinity (<< 4:14.0.0~)
+Replaces: kaffeine-gstreamer-trinity (<< 4:14.0.0~)
+Breaks: kaffeine-gstreamer-trinity (<< 4:14.0.0~)
 Description: Gstreamer engine for kaffeine media player [Trinity]
  Kaffeine is a media player for TDE. While it supports multiple player
  engines, its default engine is Gstreamer, giving Kaffeine a wide variety of

## kaffeine-trinity 14.0.8

=== debian/changelog ===
kaffeine-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:05 +0200

## kaffeine-trinity 14.0.9

=== debian/changelog ===
kaffeine-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:02:14 +0200

## kaffeine-trinity 14.0.10

=== debian/changelog ===
kaffeine-trinity (4:14.0.10-3romkfn) wheezy; urgency=low

  * Applying DVD_wrongXineGlobalURL.patch
  * Applying kaffeine_xine_ExpandingForShotToAny.patch,
    with translation new messages for Ukrainian

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

kaffeine-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kaffeine-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
  Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev,
  libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
  libxtst-dev, libgstreamer1.0-dev | libgstreamer0.10-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
- libcdio-cdda-dev, libcdio-paranoia-dev,
- automake, autoconf, libtool, libltdl-dev
+ libcdio-cdda-dev, libcdio-paranoia-dev, libmp3lame-dev
 Standards-Version: 3.8.4
 
 Package: kaffeine-trinity
@@ -26,8 +25,6 @@
  .
  Kaffeine can keep track of multiple playlists simultaneously, and supports
  autoloading of subtitles files for use while playing video.
- .
-  Homepage: http://kaffeine.sourceforge.net
 
 Package: kaffeine-trinity-dbg
 Section: devel
@@ -53,5 +50,3 @@
  network streams easily.
  .
  This package provides the Gstreamer playing engine for Kaffeine.
- .
- Homepage: http://kaffeine.sourceforge.net

## kaffeine-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( kaffeine )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS      "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY   "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_DPMS             "Enable support for dpms"                           ${WITH_ALL_OPTIONS} )
option( WITH_XTEST            "Enable support for XTest"                          ${WITH_ALL_OPTIONS} )
option( WITH_XINERAMA         "Enable support for xinerama"                       ${WITH_ALL_OPTIONS} )
option( WITH_XCB              "Enable support for xcb"                            ${WITH_ALL_OPTIONS} )
option( WITH_GSTREAMER        "Enable support for gstreamer backend"              ${WITH_ALL_OPTIONS} )
option( WITH_OGGVORBIS        "Enable support for oggvorbis"                      ${WITH_ALL_OPTIONS} )
option( WITH_LAME             "Enable support for lame"                           ${WITH_ALL_OPTIONS} )
option( WITH_DVB              "Enable support for dvb"                            ${WITH_ALL_OPTIONS} )
option( USE_TQT_ONLY          "Build with tqt support only"                       OFF )
option( WITH_XINIT_WORKAROUND "Enable support for xinit workaround"               OFF )

##### user requested modules

option( BUILD_ALL          "Build all" OFF )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
kaffeine-trinity (4:14.0.11-3romkfn) wheezy; urgency=low

  * Applying DVD_wrongXineGlobalURL.patch
  * Applying kaffeine_xine_ExpandingForShotToAny.patch,
    with translation new messages for Ukrainian

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

kaffeine-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
  Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev,
  libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
  libxtst-dev, libgstreamer1.0-dev | libgstreamer0.10-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,

## kaffeine-trinity 14.0.12

=== debian/changelog ===
kaffeine-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Apr 2022 15:26:29 +0200

## kaffeine-trinity 14.0.13

=== debian/changelog ===
kaffeine-trinity (4:14.0.13-1romkfn) wheezy; urgency=low

  * Applying DVD_wrongXineGlobalURL.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 25 Nov 2024 20:00:00 +0200

kaffeine-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Sep 2022 13:53:59 +0200

## kaffeine-trinity 14.1.0

=== debian/changelog ===
kaffeine-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 09 Apr 2023 21:15:13 +0200

## kaffeine-trinity 14.1.1

=== debian/changelog ===
kaffeine-trinity (4:14.1.1-4romkfn) wheezy; urgency=low

  * Applying DVD_wrongXineGlobalURL.patch
  * Applying webm.patch
  * Applying kaffeine_xine_ExpandingForShotToAny.patch,
    with translation new messages for Ukrainian

 -- Roman Savochenko <roman@oscada.org>  Sun, 16 Nov 2025 20:00:00 +0200

kaffeine-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 05 Oct 2023 23:15:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
  Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
  libxtst-dev, libgstreamer1.0-dev | libgstreamer0.10-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,

## kaffeine-trinity 14.1.2

=== debian/changelog ===
kaffeine-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:35 +0200

## kaffeine-trinity 14.1.3

=== debian/changelog ===
kaffeine-trinity (4:14.1.3-2romkfn) wheezy; urgency=low

  * Applying DVD_wrongXineGlobalURL.patch
  * Applying webm.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 27 Oct 2024 20:00:00 +0200

kaffeine-trinity (4:14.1.3-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Sep 2024 23:11:49 +0200

## kaffeine-trinity 14.1.4

=== debian/changelog ===
kaffeine-trinity (4:14.1.4-3romkfn) wheezy; urgency=low

  * Applying DVD_wrongXineGlobalURL.patch
  * Applying webm.patch
  * Applying kaffeine_xine_ExpandingForShotToAny.patch,
    with translation new messages for Ukrainian

 -- Roman Savochenko <roman@oscada.org>  Sun, 16 Nov 2025 20:00:00 +0200

kaffeine-trinity (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
  Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
  libxtst-dev, libgstreamer1.0-dev | libgstreamer0.10-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

## kaffeine-trinity 14.1.5~pre3

=== debian/changelog ===
kaffeine-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 6656ec16c0607749e838083cdd53f672e9b211d2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kaffeine-trinity 14.1.5

=== kaffeine/mimetypes/application/CMakeLists.txt ===
file( GLOB _services RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.desktop )

tde_create_translated_desktop(
    SOURCE ${_services}
    DESTINATION ${MIME_INSTALL_DIR}/application
    PO_DIR kaffeine-desktops
)

=== kaffeine/src/input/CMakeLists.txt ===
add_subdirectory( dvbclient    )
add_subdirectory( audiobrowser )
add_subdirectory( disc         )

if( WITH_DVB )
add_subdirectory( dvb )
endif()

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src
  ${CMAKE_SOURCE_DIR}/kaffeine/src/player-parts/kaffeine-part
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeineinput (static)

tde_add_library( kaffeineinput STATIC_PIC AUTOMOC

  SOURCES
        kaffeineinput.cpp
  LINK
     kaffeinepart-shared
)

=== kaffeine/src/player-parts/xine-part/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${XINE_INCLUDE_DIRS}
  ${X11_Xinerama_INCLUDE_PATH}
  ${XCB_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/
  ${CMAKE_SOURCE_DIR}/kaffeine/src/player-parts/kaffeine-part
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libxinepart (kpart)

tde_add_kpart( libxinepart AUTOMOC

  SOURCES
        xine_part.cpp
        kxinewidget.cpp
        postfilter.cpp
        deinterlacequality.cpp
        videosettings.cpp
        filterdialog.cpp
        screenshotpreview.cpp
        xineconfig.cpp
        positionslider.cpp
        equalizer.cpp
        xine_part_iface.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeprint-shared
     kaffeinepart-shared
     ${XINE_LIBRARIES}
     ${X11_Xinerama_LIB}
     ${XCB_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE xine_part.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR kaffeine-desktops
)

install(
    FILES xine_part.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
    FILES xine_part.h xine_part_iface.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

=== kaffeine/src/input/dvb/lib/CMakeLists.txt ===
add_subdirectory( libdvbapi     )
add_subdirectory( libdvben50221 )
add_subdirectory( libucsi       )

=== kaffeine/src/input/dvb/plugins/epg/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb
  ${CMAKE_SOURCE_DIR}/kaffeine/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeineepgplugin (shared)

tde_add_library( kaffeineepgplugin SHARED AUTOMOC

  SOURCES
        kaffeinedvbevents.cpp
        kaffeinedvbsection.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeparts-shared

  VERSION 0.0.1
  
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kaffeineepgplugin.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
    PO_DIR kaffeine-desktops
)

install(
    FILES kaffeinedvbevents.h kaffeinedvbsection.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

=== kaffeine/src/input/dvb/lib/libucsi/atsc/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/lib
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### dvbatsc (static)

tde_add_library( dvbatsc STATIC_PIC

  SOURCES
        atsc_text.c
        cvct_section.c
        dccsct_section.c
        dcct_section.c
        eit_section.c
        ett_section.c
        mgt_section.c
        rrt_section.c
        stt_section.c
        tvct_section.c
        types.c
)

=== kaffeine/src/input/dvb/lib/libucsi/dvb/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/dvb/lib
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### dvbdvb (static)

tde_add_library( dvbdvb STATIC_PIC

  SOURCES
        bat_section.c
        dit_section.c
        eit_section.c
        int_section.c
        nit_section.c
        rst_section.c
        sdt_section.c
        sit_section.c
        st_section.c
        tdt_section.c
        tot_section.c
        tva_container_section.c
        types.c
)

=== debian/changelog ===
kaffeine-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>, Fathi Boudra <fboudra@free.fr>,
  Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  libcdparanoia0-dev, libogg-dev, libxine2-dev | libxine-dev (>= 1.1.7), libxcb1-dev,
  libxtst-dev, libgstreamer1.0-dev | libgstreamer0.10-dev,
  libgstreamer-plugins-base1.0-dev | libgstreamer-plugins-base0.10-dev,
@@ -15,8 +15,8 @@
 Package: kaffeine-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, hdparm, libxine2-x | libxine1-x (<< 1.1.20) | libxine1 (<< 1.1.8-2)
-Replaces: kaffeine-trinity (<< 4:14.0.0~)
-Breaks: kaffeine-trinity (<< 4:14.0.0~)
+Replaces: kaffeine-kde3 (<< 4:14.0.0~), kaffeine-trinity (<< 4:14.0.0~)
+Breaks: kaffeine-kde3 (<< 4:14.0.0~), kaffeine-trinity (<< 4:14.0.0~)
 Description: versatile media player for TDE
  Kaffeine is a media player for TDE. While it supports multiple player
  engines, its default engine is Xine, giving Kaffeine a wide variety of
@@ -29,8 +29,8 @@
 Package: kaffeine-trinity-dbg
 Section: devel
 Architecture: any
-Replaces: kaffeine-trinity-dbg (<< 4:14.0.0~)
-Breaks: kaffeine-trinity-dbg (<< 4:14.0.0~)
+Replaces: kaffeine-kde3-dbg (<< 4:14.0.0~), kaffeine-trinity-dbg (<< 4:14.0.0~)
+Breaks: kaffeine-kde3-dbg (<< 4:14.0.0~), kaffeine-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: kaffeine-trinity (= ${binary:Version}), tdelibs-trinity-dbg
 Description: debugging symbols for kaffeine [Trinity]
@@ -41,8 +41,8 @@
 Package: kaffeine-gstreamer-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, kaffeine-trinity
-Replaces: kaffeine-gstreamer-trinity (<< 4:14.0.0~)
-Breaks: kaffeine-gstreamer-trinity (<< 4:14.0.0~)
+Replaces: kaffeine-gstreamer-kde3 (<< 4:14.0.0~), kaffeine-gstreamer-trinity (<< 4:14.0.0~)
+Breaks: kaffeine-gstreamer-kde3 (<< 4:14.0.0~), kaffeine-gstreamer-trinity (<< 4:14.0.0~)
 Description: Gstreamer engine for kaffeine media player [Trinity]
  Kaffeine is a media player for TDE. While it supports multiple player
  engines, its default engine is Gstreamer, giving Kaffeine a wide variety of

## kaffeine-trinity 14.1.6~pre0

=== debian/changelog ===
kaffeine-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 6656ec16c0607749e838083cdd53f672e9b211d2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kaffeine-trinity 14.1.6~pre1

=== debian/changelog ===
kaffeine-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 44b5b769522d5ad683007e96a0ffcc75d122e213
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 22:32:18 +0100

## kaffeine-trinity 14.1.6~pre3

=== debian/changelog ===
kaffeine-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 337360f411a30352be7ec0ef23c4a1e6b3e12f6e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:49:33 +0100

## kaffeine-trinity 14.2.0~pre57

=== kaffeine/protocols/CMakeLists.txt ===
file( GLOB _services RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.protocol )

tde_create_translated_desktop(
    SOURCE ${_services}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
    PO_DIR kaffeine-desktops
)

=== debian/changelog ===
kaffeine-trinity (4:14.2.0~pre57-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c6c7677380b40f9d962a3280e5dd298731c9259c
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kaffeine-trinity 14.2.0~pre58

=== debian/changelog ===
kaffeine-trinity (4:14.2.0~pre58-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e35607e907ad859828a2366aaffbdd4ddf9fcac1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 10:51:40 +0100

## kaffeine-trinity 14.2.0~pre60

=== debian/changelog ===
kaffeine-trinity (4:14.2.0~pre60-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 72b168294093efb120b8d9cf3c498976bfb7c246
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kaffeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:59:53 +0100
